#!/bin/sh
#
# TRAC environment builder for Mac OS X 10.5+
#
#  Requirements:
#	python easy_install
#		(UBUNTU: apt-get install python-setuptools)
#	svn client
#		(UBUNTU: apt-get install subversion)
#
#  start with:	sudo ./trac_install.sh
#
# by LouiSe@bujj.be
#

BASEDIR=/opt/trac
SOURCEDIR=src
ENVDIR=partners
USERSFILE=conf/users.txt

echo "*** Install runtime environment..."
easy_install Pygments
easy_install Genshi
easy_install textile
easy_install docutils
easy_install pygments
easy_install celementtree
easy_install http://downloads.sourceforge.net/silvercity/SilverCity-0.9.7.tar.gz
easy_install turbogears
### maybe for jquery installation you need to download zip,
### uncompress and run 'python setup.py install'
easy_install jquery

mkdir -p ${BASEDIR}
cp trac_* ${BASEDIR}
cd ${BASEDIR}

echo "*** Source (from svn/trunk)..."
cd ${BASEDIR}
mkdir ${SOURCEDIR}
cd ${SOURCEDIR}
# svn co http://svn.edgewall.org/repos/trac/trunk trac
## beta version
easy_install http://svn.edgewall.com/repos/trac/tags/trac-0.11b2/
#easy_install trac

echo "*** Building TRAC environment..."
cd ${BASEDIR}
mkdir ${ENVDIR}
trac-admin ${BASEDIR}/${ENVDIR} initenv
chmod -R 777 ${BASEDIR}/${ENVDIR}/db

cd ${BASEDIR}
echo "*** Generating and example user (user:pass) with trac_digest.py script..."
python trac_digest.py -u user -p pass >> ${BASEDIR}/${ENVDIR}/${USERSFILE}

echo "*** 'user' user is TRAC_ADMIN now..."
trac-admin ${BASEDIR}/${ENVDIR} permission add user TRAC_ADMIN

echo "*** Just start your TRAC server with command: trac_start.sh"
echo "#!/bin/sh" >trac_start.sh
echo "export LC_ALL=C" >trac_start.sh
echo "tracd --port 8000 --auth=${ENVDIR},${BASEDIR}/${ENVDIR}/${USERSFILE},trac ${BASEDIR}/${ENVDIR}" >>trac_start.sh
chmod +x trac_start.sh

echo "*** URL for browser: http://127.0.0.1:8000/"
